- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Libxml2TextReaderLocation Class Reference

Inheritance diagram for Libxml2TextReaderLocation:

[legend]
Collaboration diagram for Libxml2TextReaderLocation:

[legend]
List of all members.

## Public Member Functions
| Libxml2TextReaderLocation (xmlTextReader *myReader)
virtual int | getCharacterOffset ()
virtual int | getColumnNumber ()
virtual int | getLineNumber ()
virtual const string & | getPublicId ()
virtual const string & | getSystemId ()

## Detailed Description

Definition at line 26 of file Libxml2StreamReader.cpp.

## Member Function Documentation

virtual int Libxml2TextReaderLocation::getCharacterOffset | ( |  | ) | `[inline, virtual]`

Returns the character offset into the input source.

Implements Mers::Utils::Io::Xml::Stream::XmlStreamLocation.

Definition at line 36 of file Libxml2StreamReader.cpp.

virtual int Libxml2TextReaderLocation::getColumnNumber | ( |  | ) | `[inline, virtual]`

Returns the column number, where the current event ends, or -1 if the operation is not supported.

Implements Mers::Utils::Io::Xml::Stream::XmlStreamLocation.

Definition at line 38 of file Libxml2StreamReader.cpp.

virtual int Libxml2TextReaderLocation::getLineNumber | ( |  | ) | `[inline, virtual]`

Returns the current line number, or -1 if the operation is not supported.

Implements Mers::Utils::Io::Xml::Stream::XmlStreamLocation.

Definition at line 40 of file Libxml2StreamReader.cpp.

virtual const string& Libxml2TextReaderLocation::getPublicId | ( |  | ) | `[inline, virtual]`

Returns the public Id (?)

Implements Mers::Utils::Io::Xml::Stream::XmlStreamLocation.

Definition at line 42 of file Libxml2StreamReader.cpp.

virtual const string& Libxml2TextReaderLocation::getSystemId | ( |  | ) | `[inline, virtual]`

Return the system Id of the XML (?)

Implements Mers::Utils::Io::Xml::Stream::XmlStreamLocation.

Definition at line 44 of file Libxml2StreamReader.cpp.

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Utils/Io/Xml/Stream/Libxml2/Libxml2StreamReader.cpp